﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

# outline dialogue


init python:
    # Set the outline for dialogue text globally
    style.say_dialogue.outlines = [(3, "#727272", 0, 0)]
    style.say_thought.outlines = [(2, "#727272", 0, 0)]

define gui.name_text_outlines = [ (4, "#727272", 0, 0) ]


# Deklarasi Karakter

define s = Character("Shato", image = 'keisuke')
define r = Character("Royco")
define r = Character("Royco", image="royco")
define f = Character("Fox lantern")
define h = Character("Honda")


image dream ="../images/Background/spiral.png"
image starter ="../images/Background/starter.png"
image Kampung ="../images/Background/Gambar-01.png"
image Kuburan ="../images/Background/Kuburan.png"




image chelsea senyum = "chelsea_senyum"
image chelsea terserah = "chelsea_terserah"
image chelsea neutral mouth open = "chelsea_neutral_mouth_open"
image chelsea marah ="chelsea_marah"
image chelsea tertawa = "chelsea_tertawa"

image chelsea senyum01 = "chelsea_senyum01"
image chelsea terserah01 = "chelsea_terserah01"
image chelsea neutral mouth open01 = "chelsea_neutral_mouth_open01"
image chelsea marah01 ="chelsea_marah01"
image chelsea tertawa01 = "chelsea_tertawa01"

image foxlantern = "../images/MayaPose/Fox_lantern.png"
image honda = "../images/MayaPose/honda.png"
image royco neutral = "../images/RoycoPose/Royco_Neutral.png"
image chelsea neutral01 = "../images/ChelseaPose/chelsea_neutral01.png"

# Ensure the image is defined
image splash = "images/splashscreen.png"

# Define the splash screen label
label splashscreen:
    # Show a black screen
    scene black
    with dissolve
    pause 1  # Pause for 1 second

    # Show the splash image with a dissolve transition
    show splash with dissolve
    pause 2  # Pause for 2 seconds

    # Return to a black screen with dissolve transition
    scene black with dissolve
    pause 2  # Pause for 1 second

    # Go to the main menu
    return

### image side

image side keisuke = im.Scale("images/side/side keisuke.png", 250, 250, xoffset=100, yoffset=-50)


#image chelsea neutral:
    #"chelsea_neutral"
    #pause 5.0
    #"chelsea_blink" with Dissolve(0.4)
    #pause 0.4
    #"chelsea_neutral" with Dissolve(0.4)
    #pause 0.4
    #repeat

#image chelsea neutral01:
    #"chelsea_neutral01"
    #pause 5.0
    #"chelsea_blink01" with Dissolve(0.4)
    #pause 0.4
    #"chelsea_neutral01" with Dissolve(0.4)
    #pause 0.4
    #repeat

# Deklarasi Background

# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.


    stop music fadeout 1.0
    scene black
    with dissolve
    pause 1

    scene black

    play music "audio/sunshine.mp3" volume 0.5




    # Karakter berbicara tentang suasana pagi, tanpa tampil dulu

    s "{i}....Damn !!! this dream comeback again I don't know when it started, this dream keeps coming back{/i}"
    s "{i}It's like an old song I can't get out of my head, but it’s not a melody I enjoy{/i}"
    s "{i}....No, it's more like an echo, a shadow that stretches out every time I close my eyes, no matter how far away I try to push it during my waking hours{/i}"

    scene dream
    with dissolve







    # Setelah dialog selesai, karakter baru muncul di layar



    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.



    s "We meet again finally"

    show foxlantern with dissolve

    f "Yes, and that means perhaps you have forgotten parts of yourself. Forgotten the reasons why you are here. But the truth is still there, buried beneath everything else."

    s "I'm not sure I can do it again. I've been running away for too long."

    f "There is something you must remember. Destiny does not always appear in the form we expect. It does not always come in the way we desire."

    f "Your destiny, and the people you meet, are always intertwined in ways we cannot fully understand."

    s "So, is all of this just a game of fate, and I have no power to change it?"

    f "There is one thing you must remember. There is someone who will come into your life,"

    s "I don’t understand what that means"

    f "She is the reincarnation of someone who was connected to you in a past life."

    s "And who is she? Why can't I remember her?"

    f "Even though you don't remember her, the bond between you remains...."

    f "Fate does not decide who you are it only shows you what is possible. What you choose to do, that is what matters."

    f "Will you help end the cycle of fate or allow it to continue repeating forever"

    f "Don't forget who you are... You’re more than you think, see ya....."

    s "yeah whatever"


    scene black with dissolve

    s "{i}.....It's already morning, I'd better go out for a walk and breathe in the fresh air."
    scene starter with dissolve

    s "{i}....The morning light is soft and inviting, just like every other day. But today feels different. I can’t quite place it, but there’s a subtle change in the air.{/i}"
    s "{i}Maybe it’s the calmness, or maybe it’s the fact that today is the first day of something new.{/i}"
    s "{i}Another day. Another chance to figure things out... or maybe just another day to keep going. What’s on the agenda today?{/i}"
    s "{i}The usual mess... I should probably clean that up. But first, maybe a quick breakfas?{/i}"
    s "{i}I’m not quite sure what I’m expecting today. Sometimes the simplest mornings can lead to the most unexpected things...{/i}"
    s "{i}I'm feeling a bit dizzy.{/i}"


    show royco neutral with dissolve

    r "Hai"

    s "Whoa—!"

    r "Are you always this graceful in the morning?"


    #show royco neutral:
        #linear 0.75 xalign 0.2 yalign 0.5
    s "Hey... who are you? And... what’s with the cat ears? Am I still dreaming?"

    r "Dreaming? Oh no, human. This is very real. You can see me, can't you? That means you're different from the others."

    s "Wait, wait... what do you mean by 'different'? I'm just an ordinary college student. And you... what are you? A demon? Like in folklore?"

    r "Yes, I'm a demon. But don’t compare me to the fairy tales you’ve heard. I am more than that."

    r "And you... you are not an ordinary human. You can see me, and that means you are connected to our world."

    s "How do you know my name? What do you mean by 'connected'? I don't understand anything!"

    r "Calm down, human. I won’t hurt you. Actually, I need your help. You may not realize it, but you are the key to breaking the curse that binds us."

    s "Key? Curse? What are you talking about? I'm just... I’m just a human! I don’t even know what’s happening!"

    r "Listen carefully. We, the demons, are bound by a curse that forces us to reincarnate over and over."

    r "Every time we die, we are reborn without memories of our past lives. But there is something different about you. You can see us, and you can help us remember."

    s "This is crazy. I don’t even know what to say. But... why me? Why not someone else?"

    r "That is what we need to find out together. But trust me. This is not a coincidence. You have an important role in our fate. And maybe... in your own fate as well."

    s "Alright. Just tell me what I have to do. But promise me, nothing weird, okay?"

    r "Nothing weird? Sorry, but you are already in a world full of weirdness."

    s "So... you said you need my help. But what exactly do I have to do? I don’t have any powers or anything. I’m just an ordinary human."

    r "You may feel ordinary, but the truth is, you’re not. There is something within you that can unlock our memories, the memories that are erased every time we reincarnate."

    r "You can help us remember our true purpose."

    s "Remember your true purpose? You mean, you don’t know what you’re supposed to do in this life?"

    r "Exactly. Every time we are reborn, we only have glimpses of our past. Sometimes, it’s enough to remind us that we must protect humans. But sometimes... it makes us seek revenge."

    s "Revenge? Against who? Humans?"

    r "Yes, against humans. But not humans like you. Against those who betrayed us, the ones who bound us to this curse. But..."

    r "I don’t remember who they are. I only feel a burning anger whenever those fragments of memory surface."

    s "So... you could be dangerous to humans? Should I be wary of you?"

    r "If I wanted to hurt you, you wouldn’t be standing here right now. But don’t worry, I have no reason to harm you. In fact, I need you. You are our hope."

    s "This is too much. I don’t even know where to start."

    r "i will tell you lets take a walk"

    scene Kampung with dissolve

    r "We will start small. First, you need to learn about our world. About demons, about the curse, and about your role in all of this."

    s "Alright. But there’s one thing I want to ask... why did you choose me? Is there a specific reason?"

    show royco neutral with dissolve

    r "I didn’t choose you. Fate brought us together. And maybe... there’s something within you that even you haven’t realized yet."

    s "Are there other demons like you? Or are you alone?"

    r "Oh, there are many of us. But most of us live in hiding, trying to survive without attracting attention. Some may have already forgotten who they really are. Others... may be more dangerous."

    s "So, we have to find them too?"

    r "Yes. But that will come later. For now, we need to focus on you. You need to learn, and I will help you."

    s "I guess this is going to be a long adventure, huh?"

    r "Oh, you don’t even know the half of it."

    s "So, what’s the plan? You said I have to learn about your world. But how? Is there some kind of... demon guidebook?"

    r "Guidebook? Oh, you’re funny. There is no book that can explain all of this. But don’t worry, I will guide you."

    r "First, you must learn to sense our energy. That will help you recognize other demons, even if they are disguised as humans."

    s "Energy? You mean, like an aura or something?"

    r "Exactly. Every demon has a unique energy. You can already see my true form, which means you have the ability to sense our energy. Now, try to focus. Close your eyes and feel your surroundings."

    s "Alright... but this feels kind of weird."

    r "Don’t think about anything. Just let yourself feel it."

    s "I... I’m not sure. But there’s something. Like... a faint vibration in the air. What is that? But what’s the point of all this? Why do I need to recognize other demons?"

    r "Because not all demons are friendly. Some may have forgotten who they really are, and others... may choose to harm humans."

    r "You need to be able to tell which ones can be trusted and which ones can’t."

    s "So, this is like... a rescue mission? I have to help you remember and break this curse?"

    r "okay listen, i will take you to a place"

    scene black with dissolve

    s "What is it?"

    r "There’s another demon nearby. And... its energy is not friendly."

    scene Kuburan with dissolve

    s "oww shit!!!"
    s "who is she?"
    # This ends the game.

    return
